User login
curl --request POST \
--url https://api.example.com/api/auth/sessions \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com",
"password": "<string>"
}
'import requests
url = "https://api.example.com/api/auth/sessions"
payload = {
"email": "jsmith@example.com",
"password": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({email: 'jsmith@example.com', password: '<string>'})
};
fetch('https://api.example.com/api/auth/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"profile": {
"name": "<string>",
"avatar_url": "<string>"
},
"metadata": {},
"emailVerified": true,
"providers": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"accessToken": "<string>",
"csrfToken": "<string>",
"refreshToken": "<string>"
}Client
User login
Authenticates user and returns access token. For web clients, sets httpOnly refresh token cookie. For mobile/desktop/server clients, returns refreshToken in response body.
POST
/
api
/
auth
/
sessions
User login
Query Parameters
Client type determines how refresh tokens are returned:
- web: Refresh token stored in httpOnly cookie, csrfToken returned in response
- mobile/desktop/server: refreshToken returned directly in response body
Available options:
web, mobile, desktop, server ⌘I